using System;
using System.Collections.Generic;
namespace LobbyServer
{
    class ChatManager
    {
        private List<Message> _messages;
        public IReadOnlyList<Message> Messages => _messages.AsReadOnly();

        public ChatManager()
        {
            _messages = new List<Message>();
            Add(new Message("13:37", "QuadraLudi", "Bienvenue dans QuadraLudi, amusez-vous bien!\nGit: https://eveldee.ddns.net:1342/Eveldee/Quadraludi"));
        }

        public void Add(Message message)
        {
            _messages.Add(message);
        }
    }
}